<?php

/**
 * @author Gabriel <anhaia.gabriel@email.com>
 */
class Especialidade_model extends CI_Model
{

    public $table = 'especialidades';

    public function insert($especialidade)
    {
        $this->db->insert($this->table, $especialidade);

        return $this->db->insert_id();
    }

    public function update($idEspecialidade, $especialidade)
    {
        $this->db->update($this->table, $especialidade, "id_especialidade = {$idEspecialidade}");
    }

    public function find($id = null)
    {
        $this->db->from($this->table);

        if (!empty($id)) {
            $this->db->where('id_especialidade', $id);

            return $this->db->get()->row();

        }

        return $this->db->get()->result();
    }

    public function delete($id)
    {
        $this->db->delete($this->table, "id_especialidade = {$id}");
    }
}